# sc::SphereShape Class Reference

Inheritance diagram for sc::SphereShape:

List of all members.

## Public Member Functions
| SphereShape (const SCVector3 &, double)
| SphereShape (const Ref< KeyVal > &)
| SphereShape (const SphereShape &)
void | boundingbox (double minvalue, double maxvalue, SCVector3 &p1, SCVector3 &p2)
double | radius () const
const SCVector3 & | origin () const
double | distance_to_surface (const SCVector3 &r, SCVector3 *grad=0) const
void | print (std::ostream &o=ExEnv::out0()) const
| Print information about the object.
double | radius (double r)
const SCVector3 & | origin (const SCVector3 &o)
int | gradient_implemented () const

The documentation for this class was generated from the following file:

- shape.h